predictionio-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bansari Shah <bansari.ja...@gmail.com>
Subject Re: Unresolved dependency
Date Thu, 13 Oct 2016 06:42:38 GMT
Hi,
Thank you, i tried with this dependency information with sbt and relevant
dependency information with gradle and maven as well. But still dependency
can't get resolved.

We are looking in this url:
http://search.maven.org/#artifactdetails%7Corg.apache.predictionio%7Capache-predictionio-core_2.10%7C0.10.0-incubating%7Cjar

As per observing pom file, It may be case that there is mismatch between
artifactId and version.


​
​Please have a look at this issue and please let us know if the issue is a
valid one, and what should we do to resolve this.

Please consider it.

Thank you

Regards,
Bansari

On Wed, Oct 12, 2016 at 2:15 AM, Donald Szeto <donald@apache.org> wrote:

> Hi Bansari,
>
> For production template, please used release artifacts on the central
> Maven repository: http://search.maven.org/#artifactdetails%
> 7Corg.apache.predictionio%7Capache-predictionio-core_2.
> 10%7C0.10.0-incubating%7Cjar
>
> In your case, please use
>
> "org.apache.predictionio"    %% "apache-predictionio-core" %
> "0.10.0-incubating" % "provided"
>
> in your template's build.sbt.
>
> Regards,
> Donald
>
>
> On Tue, Oct 11, 2016 at 1:11 PM, Bansari Shah <bansari.jan93@gmail.com>
> wrote:
>
>> Hi,
>> I have cloned incubator-predictionIO_0.10.0, and did
>> ./make-distribution.sh, it generated PredictionIO_0.11.0-SNAPSHOT
>> directory.
>>
>> My template is running properly with predictionIO-0.9.7Snapshot in that
>> case,
>>
>> build.sbt contains:
>>
>> "org.apache.predictionio"    %% "core" % "0.9.7-SNAPSHOT" % "provided"
>>
>> I am trying to build this template with new artifacts. In that case i changed
>>
>> build.sbt by:
>>
>> "org.apache.predictionio"    %% "core" % "0.10.0" % "provided",
>>
>> or
>>
>> "org.apache.predictionio"    %% "core" % "0.11.0-SNAPSHOT" % "provided",
>>
>> and
>>
>> *sbt.version = 0.13.12*
>>
>> In all of above cases while building with new artifacts, it shows error:
>>
>> [error] (*:update) sbt.ResolveException: unresolved dependency: org.apache.predictionio#core_2.10;0.10.0:
not found
>>
>> [error] (*:ssExtractDependencies) sbt.ResolveException: unresolved dependency: org.apache.predictionio#core_2.10;0.10.0:
not found
>> same in other case of 0.11.0-SNAPSHOT
>>
>> Please guide me how to solve this dependency issue.
>>
>> Thank you
>>
>> Regards,
>>
>> Bansari
>>
>>
>>
>>
>

Mime
View raw message